{% extends "index.html" %}
{% block content %}

    <table>
    <thead>
        <tr>
        <th scope="col">#</th>
        <th scope="col">Package</th>
        <th scope="col">Package version</th>
        <th scope="col">Upstream version</th>
        <th scope="col">Status</th>
        <th scope="col">MR</th>
        <th scope="col">Git</th>
        <th scope="col">Source tarball</th>
        </tr>
    </thead>
    <tbody data-theme="light">
    {% for source in sources %}
        {% if source.uptodate %}
        <tr style="background-color: #78c1a3">
        {% else%}
        <tr style="background-color: #f38989">
        {% endif %}
            <th scope="row">{{loop.index}}</th>
            <td>{{ source["package"] }}</td>
            <td>{{ source["debian-uversion"] }}</td>
            <td>{{ source["upstream-version"] }}</td>
            <td>{{ source["status"] }}</td>
            {% if source["mr"] %}
            <td><a href="{{ source["mr"] }}">MR</a></td>
            {% else %}
            <td>NONE</td>
            {% endif %}
            <td><a href="{{ source["git"] }}">Git</a></td>
            <td><a href="{{ source["upstream-url"] }}">Tarball</a></td>
        </tr>
    {% endfor %}
    </tbody>
    </table>


{% endblock content %}

{% block deb %}

    <table>
    <thead>
        <tr>
        <th scope="col">#</th>
        <th scope="col">Package</th>
        <th scope="col">Package version</th>
        <th scope="col">Upstream version</th>
        <th scope="col">Status</th>
        <th scope="col">MR</th>
        </tr>
    </thead>
    <tbody>
    {% for source in debs %}
        {% if source.uptodate %}
        <tr style="background-color: #78c1a3">
        {% else%}
        <tr style="background-color: #f38989">
        {% endif %}
            <th scope="row">{{loop.index}}</th>
            <td>{{ source["package"] }}</td>
            <td>{{ source["package_version"] }}</td>
            <td>{{ source["upstream_version"] }}</td>
            <td>{{ source["status"] }}</td>
            <td>NONE</td>
        </tr>
    {% endfor %}
    </tbody>
    </table>


{% endblock deb %}